Method: projects.locations.instances.mpc.keyRings.keys.proposals.list

Lists Proposals for a given Key.

HTTP request

GET https://mpc.googleapis.com/v1alpha1/{parent=projects/*/locations/*/instances/*/mpc/keyRings/*/keys/*}/proposals

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent key resource name. Format: projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyRing}/keys/{key} It takes the form projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyring}/keys/{key}.

Request body

The request body must be empty.

Response body

Response message for listing Proposals.

If successful, the response body contains data with the following structure:

JSON representation
{
  "proposals": [
    {
      object (Proposal)
    }
  ]
}
Fields
proposals[]

object (Proposal)

The list of proposals.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.